# BoostThreads.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <boost/thread/thread.hpp>`
`#include <boost/thread/mutex.hpp>`
`#include <boost/thread/tss.hpp>`
`#include <cstdio>`
`#include <string>`

Include dependency graph for BoostThreads.hh:

Go to the source code of this file.

## Namespaces

namespace | log4cpp
namespace | log4cpp::threading

## Classes

class | log4cpp::threading::ThreadLocalDataHolder< T >
| This class holds Thread local data of type T, i.e. More...

## Typedefs

typedef boost::mutex | log4cpp::threading::Mutex
typedef boost::mutex::scoped_lock | log4cpp::threading::ScopedLock

## Functions

static std::string | log4cpp::threading::getThreadId ()
| returns the thread ID